KDE 4.7 PyKDE API Reference

- KDE's Python API

# RoutingProfile Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Enumerations

TransportType | { Motorcar, Bicycle, Pedestrian }

## Methods

| __init__ (self, QString name=QString())
QString | name (self)
bool | operator == (self, Marble.RoutingProfile other)
| setName (self, QString name)
| setTransportType (self, Marble.RoutingProfile.TransportType transportType)
Marble.RoutingProfile.TransportType | transportType (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | name=QString()
| ) |  |  |

QString name | ( |  | self ) |

bool operator == | ( | self, |
|  | Marble.RoutingProfile | other
| ) |  |  |

setName | ( | self, |
|  | QString | name
| ) |  |  |

setTransportType | ( | self, |
|  | Marble.RoutingProfile.TransportType | transportType
| ) |  |  |

Marble.RoutingProfile.TransportType transportType | ( |  | self ) |

## Enumeration Documentation

TransportType

Enumerator:

  Motorcar |
  Bicycle |
  Pedestrian |